<?php

declare(strict_types=1);

use System\Database\Schema;

return function (): string {

    return Schema::create(
        'ranks',
        function ($table) {

            $table->id();

            $table
                ->string('rank_code', 30)
                ->unique();

            $table
                ->string('rank_name', 150);

            $table
                ->integer('rank_level');

            $table
                ->boolean('status')
                ->default(true);

            $table->timestamps();
        }
    );
};